// UTILIDADES DE FAVORITOS

var MideasFavoritos = function () {
    return {
		refreshCounter: function (contenedor_jq) {
			var counter_main_dat = "#wdgPosicion_top ul.gift-list-head > li > a > i.fa.fa-heart";
			
			if (contenedor_jq.find(counter_main_dat).length > 0) {
				$.post(Mideas.config.base_url + 'api/favoritos/listaDinamica/contarFavoritos.json', function(data){
					if(data.response == "ok"){
						contenedor_jq.find(counter_main_dat).html(data.response_text);
					}
				});
			}
			
			var counters_cat_dat = "[data-countercatfavs]";
			if (contenedor_jq.find(counters_cat_dat).length > 0) {
				contenedor_jq.find(counters_cat_dat).each(function(idx, ele){
					var este = $(ele);
					
					var extension_este = este.data("extension");
					var catid_este = este.data("catid");
					
					$.post(Mideas.config.base_url + 'api/favoritos/listaDinamica/contarFavoritosCat.json', { extension: extension_este, catid: catid_este } , function(data){
						if(data.response == "ok"){
							este.html(data.response_text);
						}
					});
					
				});
			}
			
		},
		refreshLinksShare: function (data) {
			var link_crearfavlisr = "[data-create-favlist]";
			
			$(link_crearfavlisr).each(function(index, element) {
				var este = $(element);
				var este_target_redirect = este.data("target-redirect");
				var target_modal_id = este.data("target-modal");
				
				if (este_target_redirect != undefined && este_target_redirect != ""){
					var new_link_redirect = este_target_redirect.replace("##URL##", data.data.url);
					
					este.attr("href", new_link_redirect);
					este.removeData("create-favlist");
					este.removeData("target-redirect");
					este.attr("target", "_blank");
					este.off("click").on("click", function(){
						var href = este.attr("href");
						var winHeight = 350;
						var winWidth = 520;
						var winTop = (screen.height / 2) - (winHeight / 2);
						var winLeft = (screen.width / 2) - (winWidth / 2);
						window.open(href, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
						return false;
					});
				} else if (target_modal_id != undefined && target_modal_id != "" && $(target_modal_id).length > 0){
					este.off("click").on("click", function(){
						var target_modal = $(target_modal_id);
						target_modal.find("a.favlist_link").attr("href", data.data.url);
						target_modal.find("input[name=url_share]").val(data.data.url);
						target_modal.modal("show");
						return false;
					});
				}
				
			});
		},
        init: function (contenedor_jq) {
			var coleccion_newfavlist = "[data-newfavlist]";
            var coleccion_addfavtolist = "[data-addfavtolist]";
			var link_crearfavlisr = "[data-create-favlist]";
			
			MideasFavoritos.refreshCounter(contenedor_jq);
			
			if (contenedor_jq.find(link_crearfavlisr).length > 0) {
				$(link_crearfavlisr).on("click", function(){
					var target_url = $(this).data("target-url");
					var target_modal_id = $(this).data("target-modal");
					var target_redirect = $(this).data("target-redirect");
					var token = $(this).data("token");
					
					$.post(target_url, { url: target_url, token: token }, function(data){
						if (data.response == "ok"){
							if (target_redirect != null && target_redirect != ""){
								var redirect = target_redirect.replace("##URL##", data.data.url);
								
								var winHeight = 350;
								var winWidth = 520;
								var winTop = (screen.height / 2) - (winHeight / 2);
								var winLeft = (screen.width / 2) - (winWidth / 2);
								window.open(redirect, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight); 
								
								MideasFavoritos.refreshLinksShare(data);
								
							} else if (target_modal_id != undefined && target_modal_id != "" && $(target_modal_id).length > 0){
								var target_modal = $(target_modal_id);
								target_modal.find("a.favlist_link").attr("href", data.data.url);
								target_modal.find("input[name=url_share]").val(data.data.url);
								target_modal.modal("show");
								
								MideasFavoritos.refreshLinksShare(data);
							} else {
								bootbox.alert(data.response_text);
							}
						} else {
							bootbox.alert(data.response_text);
						}
					});
					
				});
			}

			if (contenedor_jq.find(coleccion_newfavlist).length > 0) {
				contenedor_jq.find(coleccion_newfavlist).on("click", function(){
					var id_pres = $(this).data("id-item");
					var tmp_url = $(this).data("url");
					var es_fancybox = $(this).data("esfancybox");
					
					if (id_pres == undefined || id_pres == '' || tmp_url == undefined || tmp_url == '')
						return false;
						
					if (es_fancybox == true){
						$.fancybox.open({href : tmp_url + id_pres, type: 'iframe'});
					} else {
						document.location.href = tmp_url + id_pres;
					}
					return false;
				});
			}

            if (contenedor_jq.find(coleccion_addfavtolist).length > 0) {
                contenedor_jq.find(coleccion_addfavtolist).each(function (i, element) {

                    var este = $(element);

                    var id_fav = este.data('id');
                    var form_fav = este.data('form');

                    if (id_fav == '' || id_fav == undefined || form_fav == '' || form_fav == undefined) {
                        return false;
                    }

                    este.on('click', function (e) {
							e.stopPropagation();
							var id = $(this).data("id");
							var form_nav = $(this).data("form");
							var form_action = $(this).data("form-action");
							var input_list = $(form_fav).find(".lista_dinamica_fav_id");
							var icon_ok = $(this).data("icono-ok");
							var icon_ko = $(this).data("icono-ko");
							var refresh_page = $(this).data("refresh-page");
							
							var form_ele = $(form_nav);
							
							var ext_ele = form_ele.find('input[name=extension]').val();
							var vista_ele = form_ele.find('input[name=vista]').val();
							var id_ele = form_ele.find('input[name=id]').val();
							
							if (form_action == undefined || form_action == '' || input_list == undefined || input_list.lenght == 0)
								return false;
							
							var custom_cls = false;
							var clase_sin = $(this).data("addfavtolist-clase_sin");
							var contenido_sin = $(this).data("addfavtolist-contenido_sin");
							var titulo_sin = $(this).data("addfavtolist-titulo_sin");
							var clase_con = $(this).data("addfavtolist-clase_con");
							var contenido_con = $(this).data("addfavtolist-contenido_con");
							var titulo_con = $(this).data("addfavtolist-titulo_con");
							
							if ($(this).data("addfavtolist-custom") == "true"){
								custom_cls = true;
							}

							var este = $(this);

							input_list.val(id);

							$.post(form_action, $(form_nav).serialize(), function(data){
								if(data.response == "ok"){
									MideasFavoritos.refreshAddFav(contenedor_jq, ext_ele, vista_ele, id_ele, true);
									
									/*este.find("span.added").html("<i class=\""+icon_ok+"\"></i> ");
									
									if (custom_cls == true){
										este.parent().parent().parent().find("a.btn").removeClass(clase_sin).addClass(clase_con).html(contenido_con).attr("title", titulo_con);
									} else {
										if (data.response_text == "removed" || data.response_text == "empty"){
											este.find("span.added").html("");
											
											if (data.response_text == "empty" && custom_cls == true){
												este.parent().parent().parent().find("a.btn").removeClass(clase_con).addClass(clase_sin).html(contenido_sin).attr("title", titulo_sin);
											}
										}
									}*/
									MideasFavoritos.refreshCounter(contenedor_jq);
								} else {
									if (data.response_text == "removed" || data.response_text == "empty"){
										MideasFavoritos.refreshAddFav(contenedor_jq, ext_ele, vista_ele, id_ele, false);
										
										/*este.find("span.added").html("<i class=\""+icon_ko+"\"></i> ");
										
										if (data.response_text == "empty" && custom_cls == true){
											este.parent().parent().parent().find("a.btn").removeClass(clase_con).addClass(clase_sin).html(contenido_sin).attr("title", titulo_sin);
										}*/
										MideasFavoritos.refreshCounter(contenedor_jq);
									} else {
										bootbox.alert(data.response_text);
									}
								}
								
								if (refresh_page == "true" || refresh_page == true){
									window.location.reload();
								}
							});
						});
                });
            }
        },
		refreshAddFav: function(contenedor_jq, extension, vista, id_elemento, activo){
			var coleccion_addfavtolist = "[data-addfavtolist]";
			
			if (contenedor_jq.find(coleccion_addfavtolist).length > 0) {
                contenedor_jq.find(coleccion_addfavtolist).each(function (i, element) {
					var form_nav = $(element).data("form");
					var form_ele = $(form_nav);
					
					var ext_ele = form_ele.find('input[name=extension]').val();
					var vista_ele = form_ele.find('input[name=vista]').val();
					var id_ele = form_ele.find('input[name=id]').val();
					
					var custom_cls = false;
					var clase_sin = $(element).data("addfavtolist-clase_sin");
					var contenido_sin = $(element).data("addfavtolist-contenido_sin");
					var titulo_sin = $(element).data("addfavtolist-titulo_sin");
					var clase_con = $(element).data("addfavtolist-clase_con");
					var contenido_con = $(element).data("addfavtolist-contenido_con");
					var titulo_con = $(element).data("addfavtolist-titulo_con");
					
					var icon_ok = $(this).data("icono-ok");
					var icon_ko = $(this).data("icono-ko");
					
					if ($(element).data("addfavtolist-custom") == "true"){
						custom_cls = true;
					}

					var este = $(element);
					
					if (ext_ele == extension && vista_ele == vista && id_ele == id_elemento){
						if (activo == true){
							este.find("span.added").html("<i class=\""+icon_ok+"\"></i> ");
							
							este.closest(".media").addClass("active");
									
							if (custom_cls == true){
								este.parent().parent().parent().find("a.btn").removeClass(clase_sin).addClass(clase_con).html(contenido_con).attr("title", titulo_con);
							}
						} else {
							este.find("span.added").html("<i class=\""+icon_ko+"\"></i> ");
							
							este.closest(".media").removeClass("active");
						}
					}
					
				});
			}
		}
    };
}();