<?php
defined('CONF_URL_APP') or die;

class FavoritoCategoria extends CatModel
{
	protected $dbt_const = "DBT_FAVORITOS_CATEGORIAS";
	protected $dbt = "favoritos_categorias";
	
	protected $ext_folder = "ext_favoritos";
	protected $ext_vista_categoria = "categoria_favoritos";
	protected $ext_vista_item = "lista_dinamica";
	
	protected $ext_item_class = "ListaDinamica";
	protected $ext_categoria_class = "FavoritoCategoria";
	protected $ext_categoria_campoextra_class = "";
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","alias","contenido","estado","padre","creador","creador_alias","imagen_destacada","icono","params","idioma");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_categoria_campoextra_class","idx_vars","update_vars","ignore_vars");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		e_include('ext_favoritos/class/listaDinamica');
	}
}
?>