<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Sitios
 * @subpackage	Model
 * @since		1.0
 */

class FavoritoCategoriaModel extends ListadoModel{
	
	protected $global_main_class = 'favoritos';
	
	protected $ext_folder = 'ext_favoritos';
	
	protected $categoria_class = 'FavoritoCategoria';
	protected $item_class = 'ListaDinamica';
	
	protected $categoria_vista = 'categoria_favoritos';
	protected $item_vista = 'lista_dinamica';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_favoritos/class/favoritoCategoria','ext_favoritos/class/listaDinamica');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}