<?php
/**
 * Modelo del artículo, permite manejar los artículos de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class ListaDinamicaModel extends DetalleModel {
	protected $global_main_class = 'favoritos';
	
	protected $ext_folder = 'ext_favoritos';
	
	protected $categoria_class = 'FavoritoCategoria';
	protected $item_class = 'ListaDinamica';
	
	protected $categoria_vista = 'categoria_favoritos';
	protected $item_vista = 'lista_dinamica';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_favoritos/class/listaDinamica','ext_favoritos/class/favoritoCategoria');
	}
}