<?php
defined('CONF_URL_APP') or die;

e_include('ext_favoritos/class/listaDinamica');

class favoritosHelper
{
	public static function url_form(){
		//$url_form = Helpers::resolveLink(false, 'ext_favoritos', 'nuevo_favorito', __('Anadir_a_favoritos'));
		$conf = $GLOBALS['opciones']['ext_favoritos'];
		
		if ($conf['general']['permitir_invitados'] == "1"){
			$url_form = CONF_URL_APP . 'api/favoritos/listaDinamica/nuevoFavoritoEnSesion.json';
		} else {
			$url_form = CONF_URL_APP . 'api/favoritos/listaDinamica/nuevoFavorito.json';
		}
		
		return $url_form;
	}
	
	public static function render_form($accion='nuevo', $input_type='input', $caption_input, $attr, $valores=array(), $buttonlist_attr, $valores_padre=array()){
		$rand = rand();
		$conf = $GLOBALS['opciones']['ext_favoritos'];
		if ($ext_favoritos = Extension::BuscarPorCarpeta('ext_favoritos','extension')){
			$url_favoritos = self::url_form();
			
			self::add_assets();
			
			switch ($input_type){
				case 'input':
					$out_input = '<input type="submit" value="'.$caption_input.'" '.$attr.'>';
					break;
				case 'button':
					$out_input = '<button type="submit" '.$attr.'>'.$caption_input.'</button>';
					break;
				case 'button-list':
					
					if (empty($valores['icon_ok'])){
						$valores['icon_ok'] = 'fa fa-heart';
					}
					if (empty($valores['icon_ko'])){
						$valores['icon_ko'] = 'fa fa-heart-o';
					}
					
					if ($conf['general']['permitir_invitados'] != "1"){
				
				
						if (Usuario::isLoged() && $valores['multiple'] != true){
							$out_input3 = '<div class="modal fade" id="lista_dinamica_btn">
							<form class="fancyform" method="post" id="crear_lista_frm_'.$rand.'" action="'.Helpers::resolveLink(false, 'ext_favoritos', 'nueva_lista', __('Nueva_lista')).'">
							<input type="hidden" name="token" value="'.Helpers::getFormToken().'" />
									  <div class="modal-dialog">
										<div class="modal-content">
										  <div class="modal-header">
											<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
											<h4 class="modal-title">'.__('Crear nueva lista').'</h4>
										  </div>
										  <div class="modal-body">
											<input type="text" class="form-control" placeholder="'.__('Escribe el nombre de la nueva lista').'" name="titulo" >
											<input type="hidden" id="id_preselect" name="id_preselect" value="" />
										  </div>
										  <div class="modal-footer">
											<button type="button" class="btn btn-default" data-dismiss="modal">'.__('Cerrar').'</button>
											<button type="submit" class="btn btn-primary">'.__('Crear lista').'</button>
										  </div>
										</div><!-- /.modal-content -->
									  </div><!-- /.modal-dialog -->
									  </form>
									</div><!-- /.modal -->';
						}
						$cls_dd = '';
						if (!empty($valores['dropdown_class'])){
							$cls_dd = ' '.$valores['dropdown_class'];
						}
						$out_input = '<div class="addtofavoritos btn-group'.$buttonlist_attr.'"><a '.$attr.' data-toggle="dropdown" href="javascript:;">'.$caption_input.'</a>
						<ul class="dropdown-menu'.$cls_dd.'" id="menu_btn_fav_list">
						';
						
						if ($valores['multiple'] != true){
							$id_lg = $_GET['extension'] . '.' . $_GET['vista'] . '.' . $_GET['id'];
						} else {
							$id_lg = $valores["extension"] . '.' . $valores["vista"] . '.' . $valores["id"];
						}
						
						$padre_attr = false;
						if (is_array($valores_padre) && sizeof($valores_padre) > 0){
							if (!empty($valores_padre['contenido_sin']) && !empty($valores_padre['titulo_sin']) && !empty($valores_padre['clase_sin']) && !empty($valores_padre['contenido_con']) && !empty($valores_padre['titulo_con']) && !empty($valores_padre['clase_con'])){
								$padre_attr = true;
							}
						}
						
						c_include('usuario');
						
						if (Usuario::isLoged()){
							if (Usuario::isLoged()){
							$usr = Usuario::getLoged();
							
							$listas_favs = new ListaDinamica();
							$listas_favs = $listas_favs->getListaFavoritosUsuario($usr->id);
	
							if (is_array($listas_favs) && sizeof($listas_favs) > 0){
								$out_input .= '<li class="dropdown-header">'.__('Guardar en lista existente').'</li>';
								
								foreach ($listas_favs as $lf){								
									$ya_en_lista = false;
									if (array_key_exists($id_lg, $lf->favoritos_formateados))
										$ya_en_lista = true;
									
									$append_lf = '';
									if ($lf->publica == '0'){
										$append_lf = ' <i class="fa fa-lock"></i>';
									}
									$append_data = '';
									if ($padre_attr == true){
										$append_data = ' data-addfavtolist-custom="true" data-addfavtolist data-addfavtolist-contenido_sin="'.$valores_padre['contenido_sin'].'" data-addfavtolist-titulo_sin="'.$valores_padre['titulo_sin'].'" data-addfavtolist-clase_sin="'.$valores_padre['clase_sin'].'" data-addfavtolist-contenido_con="'.$valores_padre['contenido_con'].'" data-addfavtolist-titulo_con="'.$valores_padre['titulo_con'].'" data-addfavtolist-clase_con="'.$valores_padre['clase_con'].'"';
									}
									
									$out_input .= '<li><a href="javascript:;" data-id="'.$lf->id.'" data-form="form#form_add_favoritos_btn_'.$rand.'" data-icono-ok="'.$valores['icon_ok'].'" data-icono-ko="'.$valores['icon_ko'].'" data-refresh-page="'.$valores['refresh_page'].'" data-form-action="'.self::url_form().'" data-addfavtolist'.$append_data.' class="add_fav_to_list_'.$rand.'"><span class="added">';
									
									if ($ya_en_lista == true){
										$out_input .= '<i class="'.$valores['icon_ok'].'"></i> ';
									} else {
										$out_input .= '<i class="'.$valores['icon_ko'].'"></i> ';
									}
									
									$out_input .= '</span>'.$lf->titulo_formateado.$append_lf.'</a></li>';
								}
								
									$out_input .= '<li class="divider"></li>';
								//}
								
							}
							
						}
						
						if ($valores['multiple'] != true){
							$id_pres = $_GET['id'];
						} else {
							$id_pres = $valores["id"];
						}
						$extra_attr = '';
						if ($valores['es_fancybox'] == '1'){
							$extra_attr .= ' data-esfancybox="true"';
						}
						
						if ($conf['general']['permitir_invitados'] != "1"){
							$out_input .= '<li><a href="javascript:;" data-id-item="'.$id_lg.'" data-newfavlist data-url="'.Helpers::resolveLink(false, 'ext_favoritos', 'nueva_lista_dinamica', __('Nueva_lista')).'/?id_preselect=" class="new_fav_list_'.$rand.'"'.$extra_attr.'><i class="fa fa-plus"></i> '.__('Crear nueva lista').'</a></li>';
						}
						} else {
							$out_input .= '<li><a href="javascript:;">'.__('Debes estar identificado para crear listas<br> y guardar items en ellas').'</a></li>';
						}
						
						$out_input .= '</ul></div>';
					
					
					} else {
						
						if ($valores['multiple'] != true){
							$id_lg = $_GET['extension'] . '.' . $_GET['vista'] . '.' . $_GET['id'];
						} else {
							$id_lg = $valores["extension"] . '.' . $valores["vista"] . '.' . $valores["id"];
						}
						
						$favs_sesion = Helpers::getSesion()->get('favoritos.favoritos_sesion');
						if (!is_array($favs_sesion)){
							$favs_sesion = array();
						}
						
						$ya_en_lista = false;
						if (array_key_exists($id_lg, $favs_sesion))
							$ya_en_lista = true;
						
						$append_lf = '';
						/*if ($lf->publica == '0'){
							$append_lf = ' <i class="fa fa-lock"></i>';
						}*/
						$append_data = '';
						if ($padre_attr == true){
							$append_data = ' data-addfavtolist-custom="true" data-addfavtolist data-addfavtolist-contenido_sin="'.$valores_padre['contenido_sin'].'" data-addfavtolist-titulo_sin="'.$valores_padre['titulo_sin'].'" data-addfavtolist-clase_sin="'.$valores_padre['clase_sin'].'" data-addfavtolist-contenido_con="'.$valores_padre['contenido_con'].'" data-addfavtolist-titulo_con="'.$valores_padre['titulo_con'].'" data-addfavtolist-clase_con="'.$valores_padre['clase_con'].'"';
						}
						
						$out_input = '<div class="addtofavoritos simple-addtofavoritos"><a title="'.strip_tags($caption_input).'" href="javascript:;" data-form="form#form_add_favoritos_btn_'.$rand.'" data-id="-1" data-icono-ok="'.$valores['icon_ok'].'" data-icono-ko="'.$valores['icon_ko'].'" data-refresh-page="'.$valores['refresh_page'].'" data-form-action="'.self::url_form().'" data-addfavtolist'.$append_data.' class="add_fav_to_list_'.$rand.'"><span class="added">';
						
						if ($ya_en_lista == true){
							$out_input .= '<i class="'.$valores['icon_ok'].'"></i> ';
						} else {
							$out_input .= '<i class="'.$valores['icon_ko'].'"></i> ';
						}
						
						$out_input .= '</span>'.$caption_input.$append_lf.'</a></div>';
						
					}

					$out_input .= '<input type="hidden" name="ajax" value="true" />
					<input type="hidden" name="lista_dinamica_fav_id" class="lista_dinamica_fav_id" value="0" />
					<input type="hidden" name="token" value="'.Helpers::getFormToken().'" />
					';
					
					break;
				default:
					$out_input = '';
					break;
			}
			
			$opts = array();
			
			switch ($accion){	
				case 'nuevo':
					$opts = array(	'return'	=>	Helpers::currentUrl(),
									'extension'	=>	$_GET['extension'],
									'vista'		=>	$_GET['vista'],
									'id'		=>	$_GET['id'],
									'url'		=>	Helpers::currentUrl(),
									'imagen'	=>	'',
									'titulo'	=>	__('Favorito'),
									'token'		=>	Helpers::getFormToken()
								);
								
					foreach ($valores as $kopc=>$opc){
						if (array_key_exists($kopc, $opts))
							$opts[$kopc] = $opc;
					}
					break;
				case 'borrar':
					$opts = array(	'return'	=>	Helpers::currentUrl(),
									'borrar'	=>	'true',
									'id'		=>	$_GET['id'],
									'token'		=>	Helpers::getFormToken()
								);
								
					foreach ($valores as $kopc=>$opc){
						if (array_key_exists($kopc, $opts))
							$opts[$kopc] = $opc;
					}
					break;
			
			}
						
			$cls_frm = '';
			if (!empty($valores['form_class'])){
				$cls_frm = ' '.$valores['form_class'];
			}
		
			$out = '<form method="post" action="'.$url_favoritos.'" class="form-favoritos'.$cls_frm.'" id="form_add_favoritos_btn_'.$rand.'">';
			
			foreach ($opts as $ko=>$o){
				$out .= '<input type="hidden" name="'.$ko.'" value="'.$o.'" />';
			}
			
			$out .= $out_input;
			
			$out .= '</form>';
			
			$out .= $out_input2;
			
			$out .= $out_input3;
			
			return $out;
		}
		
		return '';
	}
	
	private static function add_assets(){
		global $AssetBundles;
		
		if ($AssetBundles instanceof AssetsHelper){
			$favoritos_bundle = new AssetBundle(array('id'=>'favoritos', 'nombre'=>'Favoritos'));

			$favoritos_bundle->register_js('mideas-favoritos', CONF_URL_APP.'extensions/ext_favoritos/assets/js/mideas.favoritos.js');
			
			if (!$AssetBundles->is_bundle_registered($favoritos_bundle)){
				$AssetBundles->register_bundle($favoritos_bundle);
			}
			if (!$AssetBundles->is_bundle_required('favoritos')){
				$AssetBundles->require_bundle('favoritos');
			}
		}
	}
}