SET FOREIGN_KEY_CHECKS=0;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__favoritos_listas_dinamicas`
-- 

DROP TABLE IF EXISTS `#__favoritos_listas_dinamicas`;
CREATE TABLE IF NOT EXISTS `#__favoritos_listas_dinamicas` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titulo` text NOT NULL,
  `alias` text NOT NULL,
  `contenido` text,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fecha_publicacion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `estado` int(1) NOT NULL DEFAULT '1',
  `imagen_destacada` text NOT NULL,
  `categorias` text NOT NULL,
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `propietario` int(11) NOT NULL DEFAULT '0',
  `params` text,
  `tags` text NOT NULL,
  `idioma` varchar(5) NOT NULL,
  `lugar` text NOT NULL,
  `direccion` text NOT NULL,
  `codigo_postal` text NOT NULL,
  `localidad` text NOT NULL,
  `provincia` text NOT NULL,
  `pais` text NOT NULL,
  `latitud` text NOT NULL,
  `longitud` text NOT NULL,
  `acceso` int(11) NOT NULL DEFAULT '0',
  `publica` int(1) NOT NULL DEFAULT '1',
  `favoritos` text NOT NULL,
  `id_original` int(11) NOT NULL DEFAULT '0',
  `location` point NOT NULL,
  PRIMARY KEY (`id`),
  SPATIAL KEY `location` (`location`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__favoritos_categorias`
-- 

DROP TABLE IF EXISTS `#__favoritos_categorias`;
CREATE TABLE IF NOT EXISTS `#__favoritos_categorias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(250) NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `estado` int(1) NOT NULL DEFAULT '1',
  `padre` varchar(250) NOT NULL DEFAULT '',
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `imagen_destacada` text NOT NULL,
  `icono` text NOT NULL,
  `params` text,
  `idioma` varchar(5) NOT NULL,
  `acceso` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__favoritos_categorias` (`id`, `nombre`, `alias`, `contenido`, `fecha`, `estado`, `padre`, `creador`, `creador_alias`, `imagen_destacada`, `icono`, `params`, `idioma`, `acceso`) VALUES (1, '{"es":"Favoritos","en":"Favourites"}', '{"es":"Favoritos","en":"Favourites"}', '{"es":"","en":""}', '', 1, '[""]', 0, '', '', '', '{"estilo":"","hijos_heredan_estilo":""}', '', 0);

SET FOREIGN_KEY_CHECKS=1;