<?php
defined('CONF_URL_APP') or die;

if (!empty($this->categoria->titulo_dinamico))
    $titulo_pagina = $this->categoria->titulo_dinamico;
else
if (empty($titulo_html))
    $titulo_pagina = SistemaIdioma::Imprimir($this->categoria->nombre);
else
    $titulo_pagina = $titulo_html;
?>
<?php if (count($this->categoria->items) == 1) {
    $title = __('Post');
} else {
    $title = __('Posts');
} ?>
<?php if ($this->categoria->items != false) { ?>

<div data-infinitescroll="true" id="is_favoritos_listas_<?php echo $_GET['linkId']; ?>">
  <div class="row">
    <?php
            $cuenta = 0;
            foreach ($this->categoria->items as $lista_dinamica) {
                $params_vista = $lista_dinamica->parametros_vista;

                $ico_categoria = $lista_dinamica->getCategoriaParam("icono");
                $img_dest = $lista_dinamica->getimagen_destacada('300', '300');

                $img_dest_map = $lista_dinamica->getimagen_destacada(170, 60);

                $img_map_html = '';
                if (!empty($img_dest_map)) {
                    $img_map_html = "<a href='" . $lista_dinamica->url_formateada . "'><img src='" . $img_dest_map . "' width='100%' /></a>";
                }

                $direccion_completa = '';

                $lugar = SistemaIdioma::Imprimir($lista_dinamica->lugar);
                if (!empty($lugar)) {
                    $direccion_completa .= $lugar . '<br>';
                }
                if (!empty($lista_dinamica->direccion)) {
                    $direccion_completa .= $lista_dinamica->direccion . '<br>';
                }
                if (!empty($lista_dinamica->codigo_postal)) {
                    $direccion_completa .= $lista_dinamica->codigo_postal . ' ';
                }
                if (!empty($lista_dinamica->localidad_name)) {
                    $direccion_completa .= $lista_dinamica->localidad_name . '<br>';
                }
                if (!empty($lista_dinamica->provincia_name)) {
                    $direccion_completa .= '(' . $lista_dinamica->provincia_name . ') ';
                }
                if (!empty($lista_dinamica->pais_name)) {
                    $direccion_completa .= strtoupper(utf8_decode($lista_dinamica->pais_name));
                }

                if ($params_vista["mostrar_imagen"] == "1") {
                    $img_dest = $lista_dinamica->getimagen_destacada('300', '250');
                } else {
                    $img_dest = '';
                }

                $creador_obj = $lista_dinamica->getcreador(true, true);
                $url_creador = 'javascript:;';
                $nombre_creador = __('Usuario');

                if ($creador_obj instanceof Usuario) {
                    $url_creador = $creador_obj->url_formateada;
                    $nombre_creador = $creador_obj->getnombre_completo();
                } elseif ($creador_obj instanceof AdminUsuario) {
                    $nombre_creador = $creador_obj->nombre;
                }

                $class_content = "caption col-md-10 col-lg-10 col-xs-12 col-sm-10";
                if (empty($img_dest)) {
                    $class_content = "caption col-md-12 col-lg-12 col-xs-12 col-sm-12";
                }

                $max_car_cont = empty($params_vista['longitud_contenido']) ? 200 : (int) $params_vista['longitud_contenido'];
                $cont = $params_vista['mostrar_contenido'] == '1' ? Helpers::recortarTexto(strip_tags($lista_dinamica->contenido_formateado), $max_car_cont) : '';

                $favoritos_lista = $lista_dinamica->favoritos_formateados;

                $cuenta++;
                ?>
    <div class="col-md-12 item-map item-lista-dinamica" data-lat="<?php echo $lista_dinamica->latitud; ?>" data-lng="<?php echo $lista_dinamica->longitud; ?>" data-icono="<?php echo $ico_categoria; ?>" data-color="red"  data-caption="<?php echo $img_map_html; ?><p><a href='<?php echo $lista_dinamica->url_formateada; ?>'> <?php echo htmlentities(SistemaIdioma::Imprimir($lista_dinamica->titulo)); ?></a><br /><span class='direccion'><?php echo $direccion_completa; ?></span></small></p>" itemscope itemtype="http://schema.org/Article">
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>" >
        <div class="panel-body">
          <div class="row">
            <?php if (!empty($img_dest)) { ?>
            <div class="col-md-2 col-lg-2 col-xs-12 col-sm-2" itemprop="image" style="padding:0;"> <img class="img-rounded" src="<?php echo $img_dest; ?>" width="100%" alt=""> </div>
            <?php } ?>
            <div class="<?php echo $class_content; ?>">
              <?php if ($lista_dinamica->get_distancia() != false && $params_vista["mostrar_distancia"] == '1') { ?>
              <small class="label label-default pull-right" title="<?php echo __('Distancia'); ?>" data-toggle="tooltip"><i class="fa fa-compass"></i> <?php echo $lista_dinamica->get_distancia(true); ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_karma"] == '1') { ?>
              <small class="label label-success pull-right" title="<?php echo __('karma'); ?>" data-toggle="tooltip"><i class="fa fa-fire"></i> <?php echo $lista_dinamica->karma; ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <small class="label label-info pull-right" title="<?php echo __('Comentarios'); ?>" data-toggle="tooltip"><i class="fa fa-comment"></i> <?php echo $lista_dinamica->numero_comentarios; ?></small>
              <?php } ?>
              <?php if ($params_vista["mostrar_titulo"] == '1') { ?>
              <h3><a href="<?php echo $lista_dinamica->url_formateada; ?>" itemprop="name"><?php echo SistemaIdioma::Imprimir($lista_dinamica->titulo); ?></a>
                <?php if ($params_vista["mostrar_autor"] == '1') { ?>
                <small><?php echo __('de'); ?> <a href="<?php echo $url_creador; ?>" itemprop="creator"><?php echo $nombre_creador; ?></a></small>
                <?php } ?>
              </h3>
              <?php } ?>
            </div>
            <div class="<?php echo $class_content; ?>">
              <?php if ($params_vista["mostrar_localizacion"] == '1') { ?>
              <address>
              <?php echo $lista_dinamica->localizacion_formateada; ?>
              </address>
              <?php } ?>
              <?php if (!empty($cont)) { ?>
              <p><?php echo $cont; ?></p>
              <?php } ?>
              <?php if (is_array($favoritos_lista) && sizeof($favoritos_lista) > 0) { ?>
              <p><b><?php echo sprintf(__("%s favoritos"), count($favoritos_lista)); ?></b> <?php echo __("incluyendo"); ?>
                <?php if (count($favoritos_lista) > 3) {
						$txt_lista_arr = array_slice($favoritos_lista, 0, 3);
					} else {
						$txt_lista_arr = $favoritos_lista;
					} ?>
                <?php $c_s = 1;
					foreach ($txt_lista_arr as $fav) {
						?>
                <?php if ($c_s == count($txt_lista_arr) && count($txt_lista_arr) > 1) { ?>
                <?php echo __('y'); ?>
                <?php } ?>
                <a href="<?php echo $fav["conector"]["url"]; ?>"><?php echo $fav["titulo"]; ?></a>
                <?php if ($c_s + 1 < count($txt_lista_arr)) { ?>
                ,
                <?php } ?>
                <?php $c_s++;
                                            } ?>
              </p>
              <?php } ?>
            </div>
            <div class="<?php echo $class_content; ?>"> <span class="data-info">
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <small >
              <meta itemprop="datePublished" content="<?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($lista_dinamica->fecha_publicacion)); ?>">
              <i class="fa fa-calendar"></i>&nbsp;&nbsp;<?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($lista_dinamica->fecha_publicacion)); ?></small> |
              <?php } ?>
              <?php if ($params_vista["mostrar_categorias"] == '1') { ?>
              <small><i class="fa fa-folder-open"></i> <?php echo $lista_dinamica->getcategorias(true); ?></small> |
              <?php } ?>
              </span> </div>
          </div>
        </div>
      </div>
    </div>
    <?php } ?>
  </div>
  <?php if ($this->categoria->paginacion != false) { ?>
  <div align="center">
    <ul class="pagination">
      <?php if ($this->categoria->paginacion['actual'] > 1) { ?>
      <li><a href="<?php echo $this->construir_url_categoria(true, array("page" => $this->categoria->paginacion['actual'] - 1)); ?>"><?php echo __('«'); ?></a></li>
      <?php } else { ?>
      <li class="disabled"><a href="javascript:;"><?php echo __('«'); ?></a></li>
      <?php } ?>
      <?php for ($i = $this->categoria->paginacion['seccion_inicio']; $i <= $this->categoria->paginacion['seccion_final']; $i++) { ?>
      <li<?php if ($i == $this->categoria->paginacion['actual']) { ?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true, array("page" => $i)); ?>"><?php echo $i; ?></a></li>
      <?php } ?>
      <?php if ($this->categoria->paginacion['actual'] < $this->categoria->paginacion['total']) { ?>
      <li><a href="<?php echo $this->construir_url_categoria(true, array("page" => $this->categoria->paginacion['actual'] + 1)); ?>"><?php echo __('»'); ?></a></li>
      <?php } else { ?>
      <li class="disabled"><a href="javascript:;"><?php echo __('»'); ?></a></li>
      <?php } ?>
    </ul>
  </div>
  <?php } ?>
</div>
<?php } else { ?>
<div class="row">
<div class="col-md-12">

  <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
    <div class="panel-body" align="center">
      <h4><?php echo __('No hay ningúna lista dinámica') ?></h4>
    </div>
  </div>
</div>
</div>
<?php } ?>
