<?php
defined('CONF_URL_APP') or die;
global $favoritoss;
$contenido = $this->lista_dinamica->objeto->contenido_formateado;

$params_vista = $this->lista_dinamica->objeto->parametros_vista;

$titulo = SistemaIdioma::Imprimir($this->lista_dinamica->titulo);

$img_dest = $this->lista_dinamica->objeto->getimagen_destacada();

if (!empty($img_dest)){
	$img_dest_map = $this->lista_dinamica->objeto->getimagen_destacada(170, 60);
	$img_map_html = "<a href='".$this->lista_dinamica->objeto->url_formateada."'><img src='".$img_dest_map."' width='100%' /></a>";
}

$img_map_html = '';
		
$attr_li = '';
$class_li = '';

$loc_off = false;
if (empty($this->lista_dinamica->objeto->latitud) || empty($this->lista_dinamica->objeto->longitud)){
	$loc_off = true;
}

if ($params_vista['mostrar_localizacion'] == '1' && !$loc_off){
	$class_li = ' item-map';
	$attr_li = ' data-lat="'.$this->lista_dinamica->objeto->latitud.'" data-lng="'.$this->lista_dinamica->objeto->longitud.'" data-icono="'.$ico_categoria.'" data-color="black" data-caption="'.htmlentities($img_map_html, ENT_COMPAT).'<p><a href=\''.$this->lista_dinamica->objeto->url_formateada.'\'> '.htmlentities(strip_tags(SistemaIdioma::Imprimir($this->lista_dinamica->objeto->titulo)), ENT_QUOTES).'</a><br /><span class=\'direccion\'>'.htmlentities($this->lista_dinamica->objeto->localizacion_html, ENT_QUOTES).'</span></small></p>" data-address="'.htmlentities($this->lista_dinamica->objeto->localizacion_formateada, ENT_QUOTES).'"';
}

if($this->lista_dinamica->objeto->getimagen_destacada(748,300) != ''){
	$img_dest = $this->lista_dinamica->objeto->getimagen_destacada(748,300);
	$img_full = $this->lista_dinamica->objeto->getimagen_destacada(1024,768);
} elseif ($loc_off == false) {
	$img_dest = "http://maps.googleapis.com/maps/api/streetview?size=748x260&location=".$this->lista_dinamica->objeto->latitud.",".$this->lista_dinamica->objeto->longitud."&fov=120&heading=45&pitch=1&sensor=false";
	$img_full = "http://maps.googleapis.com/maps/api/streetview?size=748x260&location=".$this->lista_dinamica->objeto->latitud.",".$this->lista_dinamica->objeto->longitud."&fov=120&heading=45&pitch=1&sensor=false";
}

$favs = $this->lista_dinamica->objeto->favoritos_formateados;

$url_lista = $this->lista_dinamica->objeto->getLink(false, null, true);

$is_draft_preview = $GLOBALS['item_draft'] === true ? true : false;
?>
<?php if ($is_draft_preview){?>

<div class="alert alert-danger"> <?php echo __('<strong>¡ESTÁS VIENDO UNA REVISIÓN DE LA LISTA DE FAVORITOS!</strong> La información que aparece en esta página pertenece a una revisión de un usuario y no son los datos reales de la lista.');?> </div>
<?php } ?>
<div class="favoritos_lista_dinamica main_item<?php echo $class_li;?>"<?php echo $attr_li;?>>


	<div class="img img-circle share-giftlist">
<h3>COMPARTE<br /> TU GIFT LIST</h3>
<?php
            if (is_array($favs) && sizeof($favs) > 0) {?>
<ul class="list-unstyled">
<li><a href="http://www.facebook.com/sharer.php?u=<?php echo $url_lista;?>" target="_blank"><em class="fa fa-facebook">&nbsp;</em></a></li>
<li><a href="http://www.twitter.com/share?url=<?php echo $url_lista;?>" target="_blank"><em class="fa fa-twitter">&nbsp;</em></a></li>
<li><a href="https://plus.google.com/share?url=<?php echo $url_lista;?>" target="_blank"><em class="fa fa-google-plus">&nbsp;</em></a></li>
<li><a href="#mdl-share-favslist-email" data-toggle="modal"><em class="fa fa-envelope">&nbsp;</em></a></li>
</ul>
<?php } ?>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="mdl-share-favslist-email">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title"><?php echo __('Compartir Gift List por email');?></h4>
      </div>
      <form method="post" id="frm_share_email" action="<?php echo CONF_URL_APP;?>api/usuarios/usuario/enviarEmail.system-msg">
      <div class="modal-body">
      	<div id="tpl_contenido_email" style="display:none;">
        <p>¡Hola, ##NOMBRE##!</p>
        <p>Tu amigo ##NOMBREFROM## quiere que visites su Gift List de <b>Las Rozas Village</b>. Para ver su Gift List haz click en el siguiente enlace:</p>
        <p><a href="##LINK##">Ver Gift List</a></p>
        <p>##CONTENIDO##</p>
        </div>
        <div class="row">
        	<div class="col-sm-6">
            	<label><?php echo __('Tu nombre');?></label>
                <input type="text" class="form-control" name="nombre_from" required />
            </div>
            <div class="col-sm-6">
            	<label><?php echo __('Tu email');?></label>
                <input type="text" class="form-control" name="email_from" required />
            </div>
            
            <div class="col-sm-6">
            	<label><?php echo __('Nombre de tu amigo');?></label>
                <input type="text" class="form-control" name="nombre" required />
            </div>
            <div class="col-sm-6">
            	<label><?php echo __('Email de tu amigo');?></label>
                <input type="text" class="form-control" name="email" required />
            </div>
            
            <div class="col-sm-12">
            	<label><?php echo __('Mensaje para tu amigo');?></label>
                <textarea class="form-control" name="mensaje" required></textarea>
            </div>
        
        </div>
        <input type="hidden" name="asunto" value="<?php echo __('Un amigo ha compartido su Gift List contigo');?>" />
        <input type="hidden" name="url_share" value="<?php echo $url_lista;?>" required />
        <input type="hidden" name="return" value="<?php echo Helpers::currentURL();?>" />
        <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />
        <input type="hidden" name="contenido" value="" />
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo __('Cerrar');?></button>
        <button type="submit" class="btn btn-primary"><?php echo __('Enviar email');?></button>
      </div>
      </form>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>

<?php $GLOBALS['AppDoc']->AddScriptDeclaration('
	$(document).ready(function(){
		$("form#frm_share_email").on("submit", function(){
			var contenidoEmail = $(this).find("#tpl_contenido_email").html();
			var nombre = $(this).find("input[name=nombre]").val();
			var nombrefrom = $(this).find("input[name=nombre_from]").val();
			var linkEmail = $(this).find("input[name=url_share]").val();
			var contenido = $(this).find("textarea[name=mensaje]").val();
			
			contenidoEmail = contenidoEmail.replace("##NOMBRE##", nombre);
			contenidoEmail = contenidoEmail.replace("##NOMBREFROM##", nombrefrom);
			contenidoEmail = contenidoEmail.replace("##LINK##", linkEmail);
			contenidoEmail = contenidoEmail.replace("##CONTENIDO##", contenido);
			
			contenidoEmail = contenidoEmail.replace(/(\r\n|\n|\r)/gm,"");
			
			$(this).find("input[name=contenido]").val(contenidoEmail);
			
			return true;
		});
	});
'); ?>



<?php
            if (is_array($favs) && sizeof($favs) > 0) {
				$favs_parsed = array();
				
				foreach ($favs as $kfav => $fav) {
					
					$exp_fav = explode('.', $fav['id']);
					
					$ext_com = new ExtCom(array("extension" => $exp_fav[0], "vista" => $exp_fav[1], "id_elemento" => $exp_fav[2]));
	
					$fav['conector'] = $ext_com->getData('array');
	
					if ($fav['conector'] != false) {
						$cats_item = (array)json_decode($fav['conector']['obj']->categorias);
						$cat_item = $cats_item[0];
						$ext_item = $fav['conector']['extension'];
						
						$key_item = $ext_item.'.'.$cat_item;
						
						if (!array_key_exists($key_item, $favs_parsed)){
							$favs_parsed[$key_item] = array('titulo'=>$fav['conector']['obj']->categorias_formateadas, 'items'=>array($fav));
						} else {
							$favs_parsed[$key_item]['items'][] = $fav;
						}
						
					}
				}
				
				asort($favs_parsed);
				
				
                ?>
  <div class="row">
    <?php
				foreach ($favs_parsed as $kfav1 => $fav1) {
					?>
    <div class="title_looks">
      <h2 style="margin-top: 0px;"><?php echo $fav1['titulo'];?></h2>
    </div>
    <?php
					
					foreach ($fav1['items'] as $kfav=>$fav){	
					?>
    <div class="col-md-4 relative itemGiftList"> 
      <!--FAVORITOS-->
      <?php /*?><?php if ($ext_favoritos = Extension::BuscarPorCarpeta('ext_favoritos','extension')){
             e_include('ext_favoritos/class/favoritosHelper');
             $frm_favoritos = favoritosHelper::render_form('nuevo', 'button-list', __('Eliminar de Gift List'), 'class="btn btn-xs dropdown-toggle btn-default btn-group-item"', array('refresh_page'=>'true', 'icon_ok'=>'fa fa-times', 'icon_ko'=>'fa fa-times', 'dropdown_class'=>'pull-right', 'imagen'=>$img_item, 'url'=>$fav['conector']['obj']->url_formateada, 'titulo'=>$fav['conector']['obj']->titulo_formateado, 'multiple'=>true, 'extension'=>$fav['conector']['obj']->get('ext_folder'), 'vista'=>$fav['conector']['obj']->get('ext_vista_item'), 'id'=>$fav['conector']['obj']->id));
			 ?>
      <div class="absolute top-right" style="top:0px; right: 0px;"> <span  class="auto-open-drop"><?php echo $frm_favoritos;?> </span> </div>
      <?php  } ?><?php */?>
      <?php 
		  	$img_fav = $fav['conector']['obj']->getimagen_destacada(346,366);
			$titulo_fav = $fav['conector']['obj']->titulo_formateado;
			$extra_info = $fav['conector']['obj']->printExtraInfo();
		  ?>
      <div class="thumbnail"> <img src="<?php echo $img_fav;?>" width="100%" height="auto" />
        <div class="caption">
          <h4><?php echo $titulo_fav;?></h4>
          <?php if (!empty($extra_info)){?>
          <span class="fav-extra-info"><?php echo $extra_info;?></span>
          <?php } ?>
        </div>
      </div>
    </div>
    <?php }
                            }
                            ?>
                            
  </div>
  <?php } else { ?>
  <p align="center"><?php echo __('Aun no has añadido nada a tu Gift List');?></p>
  <?php } ?>



  <?php /*?><div class="row"> 
    <!-- Image Post -->
    <div class="col-md-12">
      <div class="contenido">
        <div class="panel <?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
          <?php if ($params_vista["mostrar_titulo"] == '1') { ?>
          <h2 class="page-header" itemprop="name"><?php echo $titulo; ?></h2>
          <?php } ?>
          <?php if ($this->lista_dinamica->objeto->getimagen_destacada(666, 277) != '' && $params_vista["mostrar_imagen"] == '1') { ?>
          <!-- Mini SLide -->
          <div id="carousel-favoritos-lista-dinamica" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
              <div class="item active"> <a href="<?php echo $img_full ;?>" class="fancybox" rel="group"  itemprop="image"><img src="<?php echo $img_dest ;?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
            </div>
          </div>
          <!-- End Mini SLide -->
          <?php } ?>
          <div class="panel-heading">
            <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1'){?>
            <div class="pull-right"><small >
              <?php if ($params_vista["mostrar_autor"] == '1') { ?>
              <span itemprop="creator"><?php echo $this->lista_dinamica->objeto->getcreador(true);?></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
              <span itemprop="datePublished"><?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->lista_dinamica->objeto->fecha_publicacion));?></span> /
              <?php } ?>
              <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
              <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url;?>#comentarios" itemprop="commentCount"><?php echo $this->lista_dinamica->objeto->numero_comentarios;?></a>
              <?php } ?>
              </small></div>
            <?php } ?>
            <?php if (($params_vista["mostrar_localizacion"] == '1' && !$loc_off) || ($this->lista_dinamica->objeto->es_propietario() || $this->lista_dinamica->objeto->es_editable()) || (!empty($this->lista_dinamica->objeto->tags) && $params_vista['mostrar_tags'] == '1')){?>
            <?php if ($params_vista["mostrar_titulo"] == '1'){?>
            <h4 class="panel-title"><span itemprop="name"><?php echo $titulo;?></span> <small><?php echo $this->lista_dinamica->objeto->getcategorias(true);?></small> </h4>
            <address style="margin-bottom:10px!important;">
            <small> <i class="fa fa-globe"></i> <span itemscope itemtype="http://schema.org/PostalAddress"> <span itemprop="streetAddress"><?php echo $this->lista_dinamica->objeto->localizacion_formateada;?></span></span></small>
            </address>
            <?php } ?>
            <?php if (!empty($params_pro['web']) || !empty($params_pro['email']) || !empty($params_pro['telefono'])){?>
            <div class="btn-group">
              <?php if (!empty($params_pro['web'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['web'];?>" data-original-text="<?php echo __('Web');?>" data-toggle="tooltip" title="<?php echo __('Ver Web Oficial');?>"><i class="fa fa-globe"></i> <span><?php echo __('Web');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['email'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['email'];?>" data-original-text="<?php echo __('Email');?>" data-toggle="tooltip" title="<?php echo __('Ver Email de Contacto');?>"><i class="fa fa-envelope"></i> <span><?php echo __('Email');?></span></a>
              <?php } ?>
              <?php if (!empty($params_pro['telefono'])){?>
              <a class="btn btn-default btn-xs toggleText" data-toggle-text="<?php echo $params_pro['telefono'];?>" data-original-text="<?php echo __('Teléfono');?>" data-toggle="tooltip" title="<?php echo __('Ver Teléfono');?>"><i class="fa fa-phone"></i> <span><?php echo __('Teléfono');?></span></a>
              <?php } ?>
            </div>
            <?php } ?>
            <?php if (!empty($this->lista_dinamica->objeto->tags) && $params_vista['mostrar_tags'] == '1'){?>
            <div class="tags_list">
              
              <div class="in_tags_list" itemprop="keywords"> <?php echo $this->lista_dinamica->objeto->gettags(true, ' label label-success', ' '); ?> </div>
            </div>
            <?php } ?>
            <?php } ?>
            <div class="clearfix"></div>
          </div>
          <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])){?>panel-body<?php } ?>">
            <?php if ($params_vista["mostrar_localizacion"] == '1' && !$loc_off && $params_vista["mostrar_imagen"] == '0'){?>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?>">
              
            </div>
            <?php } ?>
            <span itemprop="description">
            <?php if (!empty($contenido)){?>
            <?php echo $contenido; ?>
            <?php } ?>
            </span>
            <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1'){?>
            <hr>
            <div class="row">
              <ul class="thumbnails list-unstyled">
                <?php foreach ($params_pro['galeria'] as $img){
	  if (is_object($img)) $img = Helpers::toArray($img); ?>
                <?php $tipo = mime_content_type($img['img']); 
  $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
  ?>
                <li class=" col-md-2">
                  <div class='hover-fader thumbnail'><a class="fancybox" rel="imagenes" href="<?php echo $img['img'];?>"><img class="img-rounded" src="image.php/<?php echo $img['img'];?>?width=306&height=306&cropratio=306:306&image=<?php echo CONF_URL_APP.$img['img'];?>" alt="<?php echo $img['titulo'];?>"><span class='zoom'><i class='icon-zoom-in'></i></span></a></div>
                </li>
                <?php } ?>
              </ul>
            </div>
            <?php } ?>
            <?php if (!empty($this->lista_dinamica->campos_extra) && is_array($this->lista_dinamica->campos_extra) && $params_vista['mostrar_campos_extra'] == '1'){?>
            <h4><?php echo __('Otros datos');?></h4>
            <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> campos_extra_list">
              <div class="in_campos_extra_list">
                <?php foreach ($this->lista_dinamica->campos_extra as $campo){ ?>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-xs-4">
                      <label><?php echo SistemaIdioma::Imprimir($campo->etiqueta);?></label>
                    </div>
                    <div class="col-xs-8"><?php echo $campo->renderFrontEnd(false); ?></div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            <?php } ?>
            <?php foreach ($links_relacionados as $lf){?>
            <a class="btn btn-primary btn-xs" href="<?php echo $lf['url'];?>"><?php echo $lf['label'];?></a>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-12">
      <?php
            $favs = $this->lista_dinamica->objeto->favoritos_formateados;
            if (is_array($favs) && sizeof($favs) > 0) {
                ?>
      <div class="row">
        <?php
                            foreach ($favs as $kfav => $fav) {
                                $exp_fav = explode('.', $fav['ext']);

                                if ($fav['conector'] != false) {?>
        <div class="col-md-6 relative">
          <p style="position: absolute;bottom: 20px;margin: 0;right: 15px;" class="text-muted"><small class="label label-default"><?php echo $fav['conector']['obj']->vista_core;?></small></p>
          <?php echo $fav['conector']['obj']->imprimir_info_html();
                                    ?> </div>
        <?php }
                            }
                            ?>
      </div>
      <?php } ?>
      <?php $params_pro = Helpers::toArray(json_decode($this->lista_dinamica->objeto->params)); ?>
      <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1') { ?>
      <div class="row">
        <ul class="thumbnails list-unstyled">
          <?php
                        foreach ($params_pro['galeria'] as $img) {
                            if (is_object($img))
                                $img = Helpers::toArray($img);
                            ?>
          <?php
                            $tipo = mime_content_type($img['img']);
                            $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
                            ?>
          <li class=" col-md-2">
            <div class='hover-fader thumbnail'><a class="fancybox" rel="imagenes" href="<?php echo $img['img']; ?>"><img class="img-rounded" src="image.php/<?php echo $img['img']; ?>?width=306&height=306&cropratio=306:306&image=<?php echo CONF_URL_APP . $img['img']; ?>" alt="<?php echo $img['titulo']; ?>"><span class='zoom'><i class='icon-zoom-in'></i></span></a></div>
          </li>
          <?php } ?>
        </ul>
      </div>
      <?php } ?>
      <?php if (!empty($this->lista_dinamica->objeto->tags) && $params_vista['mostrar_tags'] == '1') { ?>
      <div class="tags_list">
        <div class="in_tags_list" itemprop="keywords" style="margin-bottom:20px;"> <?php echo $this->lista_dinamica->objeto->gettags(true, ' label label-primary', ' '); ?> </div>
      </div>
      <?php } ?>
      <?php if (!empty($this->lista_dinamica->campos_extra) && is_array($this->lista_dinamica->campos_extra) && $params_vista['mostrar_campos_extra'] == '1') { ?>
      <h4><?php echo __('Otros datos'); ?></h4>
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?> campos_extra_list">
        <div class="in_campos_extra_list">
          <?php foreach ($this->lista_dinamica->campos_extra as $campo) { ?>
          <div class="panel-body">
            <div class="row">
              <div class="col-xs-4">
                <label><?php echo SistemaIdioma::Imprimir($campo->etiqueta); ?></label>
              </div>
              <div class="col-xs-8"><?php echo $campo->renderFrontEnd(false); ?></div>
            </div>
          </div>
          <?php } ?>
        </div>
      </div>
      <?php } ?>
      <?php if ($params_vista["mostrar_localizacion"] == '1' && !empty($this->lista_dinamica->objeto->localizacion_formateada)) { ?>
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
        <div id="map-leaflet" data-icono="images/markers/marker.png" data-contenido="<?php echo $this->lista_dinamica->objeto->localizacion_formateada; ?>" data-longitud="<?php echo $this->lista_dinamica->objeto->longitud; ?>" data-latitud="<?php echo $this->lista_dinamica->objeto->latitud; ?>" data-zoom="16" data-clase-elementos="item-lista-dinamica" style="height: 200px; width: 100%!important; overflow: hidden; -webkit-transform: translateZ(0px); background-color: rgb(229, 227, 223);position: relative!important;right: auto;top: auto;bottom: auto;"> </div>
        <p class="bg-primary panel-body" style="margin-bottom:0px;"><i class="fa fa-globe"></i> <?php echo $this->lista_dinamica->objeto->localizacion_formateada; ?></p>
      </div>
      <?php } ?>
    </div>
  </div><?php */?>
</div>
